<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sysclk__clk__hf__enums" kind="group">
    <compoundname>group_sysclk_clk_hf_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__sysclk__clk__hf__enums_1gabac2d6b9124a00860dcd781a922788d6" kind="enum" prot="public" static="no">
        <name>cy_en_clkhf_in_sources_t</name>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6ab67e691f04cd3aecb2a4cbf8bbd5b787" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH0</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 0 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6a69197ee41c916c6e61d81dbe9be1825f" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH1</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 1 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6a7a35a9d5b37d1add71bd6f866953366e" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH2</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 2 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6a397412abaaaba4129606640c73655ac4" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH3</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 3 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6ad0c00f5f074ad6b9f47caec66a58b2c3" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH4</name>
          <initializer>= 4U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 4 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6af54eceed0840d37dd07505c999a01458" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH5</name>
          <initializer>= 5U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 5 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6ab0ee2337193aa8dc52519c045b32665f" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH6</name>
          <initializer>= 6U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 6 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6a65f41bdeb5761bc0d55044483a9c48b0" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH7</name>
          <initializer>= 7U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 7 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6ad5e58be201b631e5cfcca3bcaa160991" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH8</name>
          <initializer>= 8U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 8 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6ac911b3e5ca3eef9c9d4cf3ddd2201d67" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH9</name>
          <initializer>= 9U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 9 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6a927c20dfbd514fbe406efade1a79cc13" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH10</name>
          <initializer>= 10U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 10 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6aa612f66a5da9234a6bfc53ca9ecb48ef" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH11</name>
          <initializer>= 11U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 11 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6ad135f20f273117aa63df41598aa6d15c" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH12</name>
          <initializer>= 12U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 12 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6a2eaa6a0fc660f6f6fe0376e46c2c399b" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH13</name>
          <initializer>= 13U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 13 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6aca89917ab4be6f7d1d9f42ef42d1c66c" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH14</name>
          <initializer>= 14U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 14 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6a8c3fa5b75a10b699ec5d44fbd78f6d5d" prot="public">
          <name>CY_SYSCLK_CLKHF_IN_CLKPATH15</name>
          <initializer>= 15U</initializer>
          <briefdescription>
<para>clkHf input is Clock Path 15 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_clkhf_in_sources_t: </bold><linebreak />Selects which clkHf input, or root mux, to configure.</para></briefdescription>
        <detaileddescription>
<para>See CLK_ROOT_SELECT registers, bits ROOT_MUX. Used with functions <ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga4d090b2e9716939fe4689fac77b05679">Cy_SysClk_ClkHfSetSource</ref> and <ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga2b8da7c11fcfdd0f02248df7535a50e6">Cy_SysClk_ClkHfGetSource</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2073" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2055" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2056" />
      </memberdef>
      <memberdef id="group__group__sysclk__clk__hf__enums_1gadfbf0caf87af7cd757648124fb17d1d4" kind="enum" prot="public" static="no">
        <name>cy_en_clkhf_dividers_t</name>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggadfbf0caf87af7cd757648124fb17d1d4a996f9d53d3d78eda51e71dd65b1990c0" prot="public">
          <name>CY_SYSCLK_CLKHF_NO_DIVIDE</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>don't divide clkHf </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggadfbf0caf87af7cd757648124fb17d1d4a1e878b1bea7bc9f0996bb51808042dfc" prot="public">
          <name>CY_SYSCLK_CLKHF_DIVIDE_BY_2</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>divide clkHf by 2 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggadfbf0caf87af7cd757648124fb17d1d4a03fb6627acd67df27258169fef6c7902" prot="public">
          <name>CY_SYSCLK_CLKHF_DIVIDE_BY_4</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>divide clkHf by 4 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__hf__enums_1ggadfbf0caf87af7cd757648124fb17d1d4ab24eafa784b1cc50c94072e6be0dd4b8" prot="public">
          <name>CY_SYSCLK_CLKHF_DIVIDE_BY_8</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>divide clkHf by 8 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_clkhf_dividers_t: </bold><linebreak />clkHf divider values.</para></briefdescription>
        <detaileddescription>
<para>See CLK_ROOT_SELECT registers, bits ROOT_DIV. Used with functions <ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1gaade248ee5bfe97dbc0ae1629e7e46ed9">Cy_SysClk_ClkHfSetDivider</ref> and <ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga9c16b928723eaf3260e47686624582f2">Cy_SysClk_ClkHfGetDivider</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2086" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2080" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2081" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>